<?php
echo '<h3>Список модулей:</h3><hr>';
echo '<b>Модули это файлы в папке modules, содержащие функции на php.</b><hr>';

$kati= getcwd ( ). '/modules/';	// каталог документов
$fex = " .php,.txt";  		    //  список допустимых расширений  
if (file_exists ($kati)) 	   	//  если  есть папка документов
{$files2 = scandir($kati, 1);	// получим массив имен файлов
$i=1;
foreach ($files2 as $va3) 	//просмотрим весь массив 
{if (!strstr($va3, '.'))  	// если это папка
 {}
 else  // это файл в корне папки outside
 {if  (strpos($va3,".")>0) // если это файл страницы
	{list($na1,$ex3)=explode('.',$va3);  // получим расширение
	 if  (strpos($fex,$ex3)>0) // если это  расширение есть в списке
	   {$fff=$kati.$va3; // для показа найдем имя
       $s = file_get_contents ($fff); 	    // прочитали  модуль
	   $poz=strpos(" ".$s,"/*");
	   $poz1=strpos(" ".$s,"*/");
	   $tc="";
       if ($poz>0 and $poz1>0)
	   {    
	   $tc=substr($s,$poz,$poz1-$poz);
	   }
       $poz=strpos(" ".$s,"function");
       if  ($poz>0)  // есть функция
	   {
	  $poz--;
	  $tc1=substr($s,$poz); 
	   $poz1=strpos(" ".$tc1,")");
       if ($poz1>0)  // есть конец описания функции
	   {$tc1=substr($tc1,0,$poz1);}
	   else
	   {$tc1="Не формат главной функции !";}
       }
       else
	   {$tc1="Нет главной функции !";}
	   
	   echo '<b style="background:silver">'.$i.'</b><div time="0" id=s title="'.$i++.'"><b id=func>'.$tc1.'</b><br>файл - '.$va3.'<br>'.$tc.'<hr></div>';

 }}}
 
 
 
 }}
?>